# Generated from Bayeux-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name Bayeux

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Parsers and generators for the Bayeux long document markup
License: MIT
URL: http://github.com/dlove24/Bayeux
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.6.0
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(yard) >= 0.6.0
# BuildRequires: rubygem(yard) < 0.7
# BuildRequires: rubygem(vclog)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(riot)
BuildArch: noarch

%description
The core parser for the Bayeux document markup language, optimised for
long-form documents. Generators are also provided for HTML, LaTeX and PanDoc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.hgrc
%exclude %{gem_instdir}/.rvmrc
%{gem_instdir}/VERSION
%{gem_instdir}/bib
%{gem_instdir}/code
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/HISTORY
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.0-1
- Initial package
